<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=emulateIE7">
<link href="{$BINGOTOPURL}/admin/css/common.css" rel="stylesheet" type="text/css" media="all">
<link href="{$BINGOTOPURL}/admin/css/content.css" rel="stylesheet" type="text/css" media="all">
<link href="{$BINGOTOPURL}/usr-data/modules/extMdlFormGnrtr/admin/css/imported.css" rel="stylesheet" type="text/css" media="all">
<!--[if IE ]>
<link href="{$BINGOTOPURL}/admin/css/ie.css" rel="stylesheet" type="text/css" media="all">
<![endif]-->

<link rel="stylesheet" type="text/css" href="../js/yui/build/slider/assets/skins/sam/slider.css" />
<link rel="stylesheet" type="text/css" href="../js/yui/build/colorpicker/assets/skins/sam/colorpicker.css" />
<link rel="stylesheet" type="text/css" href="../js/yui/build/container/assets/skins/sam/container.css" />
<link rel="stylesheet" type="text/css" href="../js/yui/build/fonts/fonts-min.css" />

<script type="text/javascript" src="../js/yui/build/utilities/utilities.js"></script>
<script type="text/javascript" src="../js/yui/build/slider/slider-min.js"></script>
<script type="text/javascript" src="../js/yui/build/container/container-min.js"></script>
<script type="text/javascript" src="../js/yui/build/colorpicker/colorpicker-min.js"></script>

<script type="text/javascript" src="../js/prototype.js" ></script>
<script type="text/javascript" src="../js/scriptaculous.js" ></script>
<script type="text/javascript" src="../js/window/window.js"></script>


<link href="{$BINGOTOPURL}/js/window/themes/default.css" rel="stylesheet" type="text/css"/>
<link href="{$BINGOTOPURL}/js/window/themes/alert.css" rel="stylesheet" type="text/css"/>
<link href="{$BINGOTOPURL}/js/window/themes/alphacube.css" rel="stylesheet" type="text/css"/>

<style>
{literal}
.buttons{text-align:center; position:relative; top:200px;}
{/literal}
</style>

<script type="text/javascript">
<!--
{literal}
function reloadParentOnClose(){
	var url = window.top.document.URL;
	window.top.location.href=url;
}

var cpwin;
var picker;
function showBox(title, url, width, height,sType) {
	document.getElementById("colorhidden").value = sType;
	cpwin = new Window(
				{className: "alphacube",
					title:"カラー選択",
					width:width,
					height:height,
					recenterAuto:false,
					draggable:true,
					resizable:false,
					closable:false,
					minimizable:false,
					maximizable:false
	});

	//win.getContent().innerHTML = document.getElementById("yui-picker").innerHTML;
	cpwin.getContent().innerHTML =
	'<div id="yui-picker-panel" class="yui-picker-panel" style="background-color:#ffffff;">'+
	'<div class="yui-picker" id="yui-picker"></div>'+
	'<div class="buttons">'+
	'<input type="button" value="キャンセル" onclick="cpwin.destroy()">&nbsp;&nbsp;'+
	'<input type="button" value="登録" onclick="setColor()">'+
	'</div>'+
	'</div>'+
	'</div>';

	cpwin.setCloseCallback(function(){
		reloadParentOnClose();
		return true;
	});

	cpwin.setDestroyOnClose();
	cpwin.setZIndex(10001);
	cpwin.showCenter();

	this.picker = new YAHOO.widget.ColorPicker("yui-picker", {
		container: this.dialog,
		showhsvcontrols: true,
		showhexcontrols: true,
		images: {
			PICKER_THUMB: "../js/yui/build/colorpicker/assets/picker_thumb.png",
			HUE_THUMB: "../js/yui/build/colorpicker/assets/hue_thumb.png"
		}
	});

	if(document.getElementById("prt_part_comment_color") != null && document.getElementById("prt_part_comment_color").value != ""){
		this.picker.set('hex',document.getElementById("prt_part_comment_color").value.replace("#",""));
	}

	if(document.getElementById("prt_part_line_color") != null && document.getElementById("prt_part_line_color").value != ""){
		this.picker.set('hex',document.getElementById("prt_part_line_color").value.replace("#",""));
	}
}

function setColor(){
	if(document.getElementById("colorhidden").value == "character")
	{
		//文字色用：character
		document.getElementById("prt_part_comment_color").value = picker.get("hex");
	}else{
		//罫線色用：line
		document.getElementById("prt_part_line_color").value = picker.get("hex");
	}
		cpwin.destroy();
}

function closeBox() {
	Windows.close(win.getId());
}

{/literal}-->
</script>

<!-- 初期化場合、データベースから種類によって、バーツ「住所 」の「同一フィールド」・「項目別」ラジオボタンを設定する-->
<!-- バーツ「住所 」に「同一フィールド」ラジオボタンを選択する場合、「項目別」のチェックボックスを使わない-->

<!-- 初期化場合、データベースから種類によって、バーツ「ファイルアップロード 」の「限定無し」・「限定」ラジオボタンを設定する　-->
<!-- バーツ「ファイルアップロード 」に「限定無し」ラジオボタンを選択する場合、「限定」のチェックボックスを使わない-->
<script type="text/javascript">
<!--
{literal}
	window.onload=function(){
		if (document.getElementById("hiddenPartType")){
			var sPartType = "";
			var sPartSubType = "";

			sPartType = document.getElementById("hiddenPartType").value;

			switch(sPartType){
				case "telphone":
				case "fileupload":
				case "text":
				case "name":
				case "address":
					if(document.getElementById("hiddenPartSubType")){
						sPartSubType = document.getElementById("hiddenPartSubType").value;
					}
					break;
				default:

			}
			part_subtype_change(sPartType, sPartSubType);
		}

		//追加 20081225
		var hiddenCloseScriptFlg = document.getElementById("hiddenCloseScriptFlg");
		if(hiddenCloseScriptFlg != null){
			if(hiddenCloseScriptFlg.value == "1"){
				document.getElementById("hiddenPartType").value = "";
				parent.closeBox();
			}
		}
	}

	//パーツサブタイプのセット用
	function part_subtype_change(type,subtype)
	{
		switch(type)
		{
			case "text":
				if(subtype == "single")
				{
					document.getElementById("sub_type_single").checked = true;
					document.getElementById("sub_type_multiply").checked = false;
					document.getElementById("text_size").disabled = "";
					document.getElementById("text_num").disabled = "";
					document.getElementById("text_date").disabled = "";
					document.getElementById("col_size").disabled = "disabled";
					document.getElementById("row_size").disabled = "disabled";
				}else if(subtype == "multiply"){
					document.getElementById("sub_type_single").checked = false;
					document.getElementById("sub_type_multiply").checked = true;
					document.getElementById("col_size").disabled = "";
					document.getElementById("row_size").disabled = "";
					document.getElementById("text_size").disabled = "disabled";
					document.getElementById("text_num").disabled = "disabled";
					document.getElementById("text_date").disabled = "disabled";
					if(document.getElementById("text_num").checked || document.getElementById("text_date").checked){
						document.getElementById("text_all").click();
					}
				}
				break;
			case "name":
				if(subtype == "nametogether")
				{
					document.getElementById("sub_type_nametogether").checked = true;
					document.getElementById("sub_type_nameseparate").checked = false;
				}else if(subtype == "nameseparate"){
					document.getElementById("sub_type_nametogether").checked = false;
					document.getElementById("sub_type_nameseparate").checked = true;
				}
				break;
			case "telphone":
				if(subtype == "onepart")
				{
					document.getElementById("sub_type_onepart").checked = true;
					document.getElementById("sub_type_threepart").checked = false;
					if(document.getElementById("prt_part_comment").value==""){
						document.getElementById("prt_part_comment").value = "（例: 0465-66-2282）";
					}
				}else if(subtype == "threepart"){
					document.getElementById("sub_type_onepart").checked = false;
					document.getElementById("sub_type_threepart").checked = true;
					//document.getElementById("prt_part_comment").value = "";
				}
				break;
			case "address":
				var value1 = document.getElementById("prt_part_address_value1");
				var value2 = document.getElementById("prt_part_address_value2");
				var value3 = document.getElementById("prt_part_address_value3");
				var value4 = document.getElementById("prt_part_address_value4");

				var mustflg1 	= document.getElementById("prt_part_mustflg1");
				var mustflg2 	= document.getElementById("prt_part_mustflg2");
				var mustflg3	= document.getElementById("prt_part_mustflg3");
				var mustflg4 	= document.getElementById("prt_part_mustflg4");
				var mustflg_adr = document.getElementById("prt_part_mustflg_adr");

				if(document.getElementById("prt_part_address_zipflg").checked){
					document.getElementById("prt_part_mustflg_zip").disabled = false;
				}else{
				    document.getElementById("prt_part_mustflg_zip").checked = false;
					document.getElementById("prt_part_mustflg_zip").disabled = true;
				}

				if(value1.checked==true){
					mustflg1.disabled = false;
				}else{
				    mustflg1.checked = false;
					mustflg1.disabled = true;
				}

				if(value2.checked==true){
					mustflg2.disabled = false;
				}else{
				    mustflg2.checked = false;
					mustflg2.disabled = true;
				}

				if(value3.checked==true){
					mustflg3.disabled = false;
				}else{
				    mustflg3.checked = false;
					mustflg3.disabled = true;
				}

				if(value4.checked==true){
					mustflg4.disabled = false;
				}else{
				    mustflg4.checked = false;
					mustflg4.disabled = true;
				}

				if(subtype == "addresstogether")
				{
					document.getElementById("sub_type_addresstogether").checked = true;
					document.getElementById("sub_type_addressseparate").checked = false;

		         	value1.checked = false;
		         	value2.checked = false;
		         	value3.checked = false;
		         	value4.checked = false;

		         	value1.disabled = true;
		         	value2.disabled = true;
		         	value3.disabled = true;
		         	value4.disabled = true;

		        	mustflg_adr.disabled = false;

		            mustflg1.checked = false;
		         	mustflg2.checked = false;
		         	mustflg3.checked = false;
		         	mustflg4.checked = false;

		         	mustflg1.disabled = true;
		         	mustflg2.disabled = true;
		         	mustflg3.disabled = true;
		         	mustflg4.disabled = true;

				}else if(subtype == "addressseparate"){
					var addressseparateErrflg = "";
					document.getElementById("sub_type_addresstogether").checked = false;
					document.getElementById("sub_type_addressseparate").checked = true;

		         	value1.disabled = false;
		         	value2.disabled = false;
		         	value3.disabled = false;
		         	value4.disabled = false;

		         	mustflg1.disabled = false;
		         	mustflg2.disabled = false;
		        	mustflg3.disabled = false;
		         	mustflg4.disabled = false;

		         	mustflg_adr.disabled = true;
		         	mustflg_adr.checked = false;

					if(value1.checked ==false
					&& value2.checked ==false
					&& value3.checked ==false
					&& value4.checked ==false) {
			         	value1.checked = true;
			         	value2.checked = true;
			         	value3.checked = true;
			         	value4.checked = true;

			         	mustflg1.checked = true;
			         	mustflg2.checked = true;
			         	mustflg3.checked = true;
			         	mustflg4.checked = true;

						mustflg1.disabled = false;
			         	mustflg2.disabled = false;
			        	mustflg3.disabled = false;
			         	mustflg4.disabled = false;
				     }
				}
				break;
			case "fileupload":

		    	var pdf = document.getElementById("pdf");
		    	var excel = document.getElementById("excel");
		    	var word = document.getElementById("word");
		    	var gif = document.getElementById("gif");
		    	var jpg = document.getElementById("jpg");
		    	var png = document.getElementById("png");
            	var prt_part_fileupload_subfiletype = document.getElementById("prt_part_fileupload_subfiletype");

				if(subtype == "limitNo" || document.getElementById("limitNo").checked)
				{
					pdf.disabled = "disabled";
			        excel.disabled = "disabled";
			        word.disabled = "disabled";
			        //jpeg.disabled = true;
					jpg.disabled = "disabled";
					gif.disabled = "disabled";
			        png.disabled = "disabled";

			        prt_part_fileupload_subfiletype.disabled = true;
			        prt_part_fileupload_subfiletype.value = "";

			        pdf.checked = false;
			        excel.checked = false;
			        word.checked = false;
			        //jpeg.checked = false;
			        jpg.checked = false;
			        gif.checked = false;
			        png.checked = false;

				}else if(subtype == "limitYes"){
		         	pdf.disabled = "";
		         	excel.disabled = "";
		         	word.disabled = "";

		         	//jpeg.disabled = false;
		         	jpg.disabled = "";
		         	gif.disabled = "";
		         	png.disabled = "";

		         	prt_part_fileupload_subfiletype.disabled = false;
				}
				break;
			case "mail":
				if(document.getElementById("defaultflg").value == 0){
					document.getElementById("prt_part_mail_registerflg").checked="checked";
				}

				if(document.getElementById("sub_type_allmail").checked){
					document.getElementById("prt_part_mustflg_all").disabled = "";

					document.getElementById("sub_type_pcmail").checked = false;
					document.getElementById("sub_type_pcmail").disabled = "disabled";
					document.getElementById("prt_part_mustflg_pc").checked = false;
					document.getElementById("prt_part_mustflg_pc").disabled = "disabled";

					document.getElementById("sub_type_mobilemail").checked = false;
					document.getElementById("sub_type_mobilemail").disabled = "disabled";
					document.getElementById("prt_part_mustflg_mobile").checked = false;
					document.getElementById("prt_part_mustflg_mobile").disabled = "disabled";
				}else{
					document.getElementById("prt_part_mustflg_all").checked = false;
					document.getElementById("prt_part_mustflg_all").disabled = "disabled";

					document.getElementById("sub_type_pcmail").disabled = "";
					document.getElementById("prt_part_mustflg_pc").disabled = "";

					document.getElementById("sub_type_mobilemail").disabled = "";
					document.getElementById("prt_part_mustflg_mobile").disabled = "";
				}

				if(document.getElementById("sub_type_pcmail").checked){
					document.getElementById("prt_part_mustflg_pc").disabled = "";

					document.getElementById("sub_type_allmail").checked = false;
					document.getElementById("sub_type_allmail").disabled = "disabled";

				}else{
					document.getElementById("prt_part_mustflg_pc").checked = false;
					document.getElementById("prt_part_mustflg_pc").disabled = "disabled";
				}

				if(document.getElementById("sub_type_mobilemail").checked){
					document.getElementById("prt_part_mustflg_mobile").disabled = "";

					document.getElementById("sub_type_allmail").checked = false;
					document.getElementById("sub_type_allmail").disabled = "disabled";
				}else{
					document.getElementById("prt_part_mustflg_mobile").checked = false;
					document.getElementById("prt_part_mustflg_mobile").disabled = "disabled";
				}

				if(!document.getElementById("sub_type_pcmail").checked && !document.getElementById("sub_type_mobilemail").checked){
					document.getElementById("sub_type_allmail").disabled = "";
				}



				break;
			case "datetime":
				if(document.getElementById("sub_type_date").checked){
					document.getElementById("sub_type_datetime_interval10").disabled = true;
					document.getElementById("sub_type_datetime_interval15").disabled = true;
					document.getElementById("sub_type_datetime_interval30").disabled = true;

				}else{
					document.getElementById("sub_type_datetime_interval10").disabled = false;
					document.getElementById("sub_type_datetime_interval15").disabled = false;
					document.getElementById("sub_type_datetime_interval30").disabled = false;
				}
				break;
			case "select":
				if(document.getElementById("dropdown").checked){
					document.form.prt_part_select_row[0].disabled = true;
					document.form.prt_part_select_row[1].disabled = true;
				}
				break;
		}

	}

	function closeBox() {
		Windows.close(win.getId());
	}

	//罫線色、文字色セット用
	function setPickerType(sType)
	{
	 	document.getElementById("colorhidden").value = sType;
	}

	function setHelpGuide(v){
		if(v == "text_date"){
			document.getElementById("prt_part_comment").value = "（例：2009/01/01）";
		}else if(v == "tel_one"){
			document.getElementById("prt_part_comment").value = "（例: 0465-66-2282）";
		}else{
			document.getElementById("prt_part_comment").value = "";
		}
	}

	function setRowButton(selectType){
		if(selectType == "drop"){
			document.form.prt_part_select_row[0].disabled = "disabled";
			document.form.prt_part_select_row[1].disabled = "disabled";
		}else{
			document.form.prt_part_select_row[0].disabled = "";
			document.form.prt_part_select_row[1].disabled = "";
		}
	}
{/literal}
//-->
</script>
</head>
<body class="yui-skin-sam">
<div id="unitContainerMain" class="unitContainer">
	<div class="unitContentsTtl">
		<h3>パーツ設定</h3>
	</div>
	<form {$form.attributes}>
	<div class="unitContents">
	<!--contents -->
	{$form.hidden}
	<div class="unitContentsBox">
		<div class="unitFlame">
		<div class="unitFlameInner">
			<!--エラーコメント/-->
			{foreach from=$ERROR item="msg" name="err"}
				{if $smarty.foreach.err.first}
				<p class="errBox">{/if}
					{$msg}<br>
					{if $smarty.foreach.err.last}
				</p>
				{/if}
			{/foreach}
			<!--/エラーコメント-->
			<input type="hidden" value={$prt_part_type} id="hiddenPartType">
			<input type="hidden" value={$prt_part_sub_type} id="hiddenPartSubType">
			<input type="hidden" value={$CLOSESCRIPTFLG} id="hiddenCloseScriptFlg">
			<!--罫線色/-->
			<input type="hidden" id="colorhidden">
			<!--guidetext/-->
			{if $part_type == "guidetext"}
			<h4>パーツ設定</h4>
			<div class="unitContentsBase">
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<th class="thImp">項目名</th>
						<td class="textLm">{$form.prt_part_label.html}</td>
					</tr>
<!-- 文字色選択追加 -->
					<tr>
						<th>文字色</th>
						<td>＃{$form.prt_part_comment_color.html}&nbsp;<input type="button" id="show" value="カラー選択" onclick="showBox('', 'edit.php', 400, 230,'character')"></td>
					</tr>
					<tr>
						<th>テキスト</th>
						<td class="textLl">{$form.prt_part_guidetext_value.html}</td>
					</tr>
				</table>
			</div>
			{/if}
			<!--/guidetext-->

			<!--text/-->
			{if $part_type == "text"}
			<h4>パーツ設定</h4>
			<div class="unitContentsBase">
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<th class="thImp">項目名</th>
						<td class="textLm" colspan="2">{$form.prt_part_label.html}</td>
					</tr>
					<tr>
						<th>必須項目チェック</th>
						<td colspan="2" >{$form.prt_part_mustflg.html}</td>
					</tr>
					<tr>
						<th class="thImp" rowspan="2">フォーム選択</th>
						<td class="w10" style="border-bottom: none;">{$form.sub_type_single.html}</td>
						<td style="border-bottom: none;">{$form.text_disabled1.html}</td>
					</tr>
					<tr>
						<td>{$form.sub_type_multiply.html}</td>
						<td>{$form.textarea_disabled.html}</td>
					</tr>
					<tr>
						<th class="thImp" >入力制御</th>
						<td colspan="2">{$form.prt_part_ime_mode.html}</td>
					</tr>
					<tr>
						<th>サイズ(テキスト)</th>
						<td colspan="2">{$form.text_size.html}&nbsp;横(%)&nbsp;<span class="txtImp">※初期値は「97」</span></td>
					</tr>
					<tr>
						<th rowspan="2">サイズ(テキストエリア)</th>
						<td style="border-bottom: none;" colspan="2">{$form.col_size.html}&nbsp;横(%)&nbsp;<span class="txtImp">※初期値は「97」</td>
					</tr>
					<tr>
						<td colspan="2">{$form.row_size.html}&nbsp;縦(rows)&nbsp;<span class="txtImp">※初期値は「3」</td>
					</tr>
					<tr>
						<th>補足テキスト</th>
						<td class="textLm" colspan="2">{$form.prt_part_comment.html}</td>
					</tr>
					<tr>
						<th>補足テキスト表示位置</th>
						<td  colspan="2">{$form.prt_part_comment_position.html}</td>
					</tr>
					<tr>
						<th>補足テキスト文字色</th>
						<td  colspan="2">＃{$form.prt_part_comment_color.html}&nbsp;<input type="button" id="show" value="カラー選択" onclick="showBox('', 'edit.php', 400, 230,'character')"></td>
					</tr>
				</table>
			</div>
			{/if}
			<!--/text -->

			<!-- select/-->
			{if $part_type == "select"}
			<h4>パーツ設定</h4>
			<div class="unitContentsBase">
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<th class="thImp">項目名</th>
						<td class="textLm">{$form.prt_part_label.html}</td>
					</tr>
					<tr>
						<th>必須項目チェック</th>
						<td>{$form.prt_part_mustflg.html}</td>
					</tr>
					<tr>
						<th class="thImp">フォーム選択</th>
						<td>{$form.select.html}</td>
					</tr>
					<tr>
						<th>選択項目表示</th>
						<td>{$form.prt_part_select_row.html}</td>
					</tr>
					<tr>
						<th class="thImp">選択項目</th>
						<td class="textLm">{$form.prt_part_select_value.html}<br>
						<span class="txtImp">※選択肢は一行ずつ入力してください（改行区切り）</span></td>
					</tr>
					<tr>
						<th>補足テキスト</th>
						<td class="textLm">{$form.prt_part_comment.html}</td>
					</tr>
					<tr>
						<th>補足テキスト表示位置</th>
						<td>{$form.prt_part_comment_position.html}</td>
					</tr>
					<tr>
						<th>補足テキスト文字色</th>
						<td>＃{$form.prt_part_comment_color.html}&nbsp;<input type="button" id="show" value="カラー選択" onclick="showBox('', 'edit.php', 400, 230,'character')"></td>
					</tr>
				</table>
			</div>
			{/if}
			<!-- select -->

			<!--name/-->
			{if $part_type == "name"}
			<h4>パーツ設定</h4>
			<div class="unitContentsBase">
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<th class="thImp">項目名</th>
						<td class="textLm" colspan="2">{$form.prt_part_label.html}</td>
					</tr>
					<tr>
						<th>必須項目チェック</th>
						<td colspan="2">{$form.prt_part_mustflg.html}</td>
					</tr>
					<tr>
						<th>フリガナ</th>
						<td colspan="2">{$form.prt_part_fullname_kanaflg.html}</td>
						</tr>
					<tr>
						<th class="thImp" rowspan="2">フォーム選択</th>
						<td class="w11" style="border-bottom: none;">{$form.sub_type_nametogether.html}</td>
						<td style="border-bottom: none;">{$form.text_disabled1.html}</td>
					</tr>
					<tr>
						<td>{$form.sub_type_nameseparate.html}</td>
						<td>姓：&nbsp;{$form.text_disabled2.html}&nbsp;&nbsp;名：&nbsp;{$form.text_disabled2.html}</td>
					</tr>
				</table>
			</div>
			{/if}
			<!--/name-->

			<!--address/-->
			{if $part_type == "address"}
			<h4>パーツ設定</h4>
			<div class="unitContentsBase">
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<th class="thImp">項目名</th>
						<td class="textLm" colspan="2">{$form.prt_part_label.html}</td>
					</tr>
					<tr>
						<th>郵便番号</th>
						<td class="w10">{$form.prt_part_address_zipflg.html}</td>
						<td>{$form.prt_part_mustflg_zip.html}</td>
					</tr>

					<tr>
						<th class="thImp" rowspan="3">フォーム選択</th>
						<td style="border: none;">{$form.sub_type_addresstogether.html}</td>
						<td style="border: none;">{$form.text_disabled1.html}&nbsp;&nbsp;{$form.prt_part_mustflg_adr.html}</td>
					</tr>
					<tr>
						<td rowspan="2">{$form.sub_type_addressseparate.html}</td>
					</tr>
					<tr>
						<td>
							<table border="0" cellpadding="0" cellspacing="0" style="border: none;">
								<tr>
									<td class="w7" style="border: none; padding: 2px 0;">{$form.prt_part_address_value1.html}</td>
									<td class="w10" style="border: none; padding: 2px 0;">{$form.text_disabled1.html}</td>
									<td style="border: none; padding: 2px 0 2px 10px;">{$form.prt_part_mustflg1.html}</td>
								</tr>
								<tr>
									<td style="border: none; padding: 2px 0;">{$form.prt_part_address_value2.html}</td>
									<td style="border: none; padding: 2px 0;">{$form.text_disabled1.html}</td>
									<td style="border: none; padding: 2px 0 2px 10px;">{$form.prt_part_mustflg2.html}</td>
								</tr>
								<tr>
									<td style="border: none; padding: 2px 0;">{$form.prt_part_address_value3.html}</td>
									<td style="border: none; padding: 2px 0;">{$form.text_disabled1.html}</td>
									<td style="border: none; padding: 2px 0 2px 10px;">{$form.prt_part_mustflg3.html}</td>
								</tr>
								<tr>
									<td style="border: none; padding: 2px 0;">{$form.prt_part_address_value4.html}</td>
									<td style="border: none; padding: 2px 0;">{$form.text_disabled1.html}</td>
									<td style="border: none; padding: 2px 0 2px 10px;">{$form.prt_part_mustflg4.html}</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
			</div>
			{/if}
			<!--/address-->

			<!--datetime/-->
			{if $part_type == "datetime"}
			<h4>パーツ設定</h4>
			<div class="unitContentsBase">
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<th class="thImp">項目名</th>
						<td class="textLm">{$form.prt_part_label.html}</td>
					</tr>
					<tr>
						<th>必須項目チェック</th>
						<td>{$form.prt_part_mustflg.html}</td>
					</tr>
					<tr>
						<th>当日デフォルト表示</th>
						<td>{$form.prt_part_datetime_defaultflg.html}</td>
					</tr>
					<tr>
						<th>表示形式</th>
						<td>{$form.prt_part_datetime_fromtoflg.html}</td>
					</tr>
					<tr>
						<th class="thImp">表示項目</th>
						<td>{$form.datetime.html}</td>
					</tr>
					<tr>
						<th class="thImp">表示時間間隔</th>
						<td>{$form.prt_part_datetime_interval.html}</td>
					</tr>
					<tr>
						<th>補足テキスト</th>
						<td class="textLm">{$form.prt_part_comment.html}</td>
					</tr>
					<tr>
						<th>補足テキスト表示位置</th>
						<td>{$form.prt_part_comment_position.html}</td>
					</tr>
					<tr>
						<th>補足テキスト文字色</th>
						<td>＃{$form.prt_part_comment_color.html}&nbsp;<input type="button" id="show" value="カラー選択" onclick="showBox('', 'edit.php', 400, 230,'character')"></td>
					</tr>
				</table>
			</div>
			{/if}
			<!--/datetime-->

			<!--telphone/-->
			{if $part_type == "telphone"}
			<h4>パーツ設定</h4>
			<div class="unitContentsBase">
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<th class="thImp">項目名</th>
						<td class="textLm" colspan="2">{$form.prt_part_label.html}</td>
					</tr>
					<tr>
						<th>必須項目チェック</th>
						<td colspan="2">{$form.prt_part_mustflg.html}</td>
					</tr>
					<tr>
						<th class="thImp" rowspan="2">フォーム選択</th>
						<td class="w11" style="border: none;">{$form.sub_type_onepart.html}</td>
						<td style="border: none;">{$form.text_disabled1.html}</td>
					</tr>
					<tr>
						<td>{$form.sub_type_threepart.html}</td>
						<td>{$form.text_tel.html}&nbsp;-&nbsp;{$form.text_tel.html}&nbsp;-&nbsp;{$form.text_tel.html}</td>
					</tr>
					<tr>
						<th>補足テキスト</th>
						<td class="textLm" colspan="2">{$form.prt_part_comment.html}</td>
					</tr>
					<tr>
						<th>補足テキスト表示位置</th>
						<td colspan="2">{$form.prt_part_comment_position.html}</td>
					</tr>
					<tr>
						<th>補足テキスト文字色</th>
						<td colspan="2">＃{$form.prt_part_comment_color.html}&nbsp;<input type="button" id="show" value="カラー選択" onclick="showBox('', 'edit.php', 400, 230,'character')"></td>
					</tr>
				</table>
			</div>
			{/if}
			<!--/telphone-->

			<!--web/-->
			{if $part_type == "web"}
			<h4>パーツ設定</h4>
			<div class="unitContentsBase">
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<th class="thImp">項目名</th>
						<td class="textLm">{$form.prt_part_label.html}</td>
					</tr>
					<tr>
						<th>必須項目チェック</th>
						<td>{$form.prt_part_mustflg.html}</td>
					</tr>
					<tr>
						<th>ガイド表示</th>
						<td>{$form.prt_part_web_guideflg.html}</td>
					</tr>
					<tr>
						<th>リンク表示</th>
						<td>{$form.prt_part_web_linkflg.html}</td>
					</tr>
					<tr>
						<th>補足テキスト</th>
						<td class="textLm">{$form.prt_part_comment.html}</td>
					</tr>
					<tr>
						<th>補足テキスト表示位置</th>
						<td>{$form.prt_part_comment_position.html}</td>
					</tr>
					<tr>
						<th>補足テキスト文字色</th>
						<td>＃{$form.prt_part_comment_color.html}&nbsp;<input type="button" id="show" value="カラー選択" onclick="showBox('', 'edit.php', 400, 230,'character')"></td>
					</tr>
				</table>
			</div>
			{/if}
			<!--/web-->

			<!--mail/-->
			{if $part_type == "mail"}
			{$form.defaultflg.html}
			<h4>パーツ設定</h4>
			<div class="unitContentsBase">
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<th class="thImp">項目名</th>
						<td class="textLm" colspan="2">{$form.prt_part_label.html}</td>
					</tr>
					<tr>
						<th>重複登録制御</th>
						<td colspan="2">{$form.prt_part_mail_registerflg.html}</td>
					</tr>
					<tr>
						<td colspan="3">
							<span class="txtImp">※「共用」又は「PCメール」と「携帯メール」のどちらかにチェックをしてください。</span>
						</td>
					</tr>
					<tr>
						<th>共用</th>
						<td colspan="2">{$form.all_mail.html}&nbsp; &nbsp;{$form.prt_part_mustflg_all.html}</td>
					</tr>
					<tr>
						<th>PCメール<br />※共用との併用不可</th>
						<td colspan="2">{$form.pc_mail.html}&nbsp; &nbsp;{$form.prt_part_mustflg_pc.html}</td>
					</tr>
					<tr>
						<th>携帯メール<br />※共用との併用不可</th>
						<td colspan="2">{$form.mobile_mail.html}&nbsp; &nbsp;{$form.prt_part_mustflg_mobile.html}</td>
					</tr>
					<tr>
						<th>補足テキスト</th>
						<td class="textLm" colspan="2">{$form.prt_part_comment.html}</td>
					</tr>
					<tr>
						<th>補足テキスト表示位置</th>
						<td colspan="2">{$form.prt_part_comment_position.html}</td>
					</tr>
					<tr>
						<th>補足テキスト文字色</th>
						<td colspan="2">＃{$form.prt_part_comment_color.html}&nbsp;<input type="button" id="show" value="カラー選択" onclick="showBox('', 'edit.php', 400, 230,'character')"></td>
					</tr>
				</table>
			</div>
			{/if}
			<!--/mail-->

			<!--fileupload/-->
			{if $part_type == "fileupload"}
			<h4>パーツ設定</h4>
			<div class="unitContentsBase">
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<th class="thImp">項目名</th>
						<td class="textLm">{$form.prt_part_label.html}</td>
					</tr>
					<tr>
						<th>必須項目チェック</th>
						<td>{$form.prt_part_mustflg.html}</td>
					</tr>
					<tr>
						<th class="thImp">拡張子による制限</th>
						<td>{$form.limit.html}</td>
					</tr>
					<tr>
						<th style="border-bottom:none;">許可する拡張子</th>
						<td style="border-bottom:none;">
							{$form.pdf.html}&nbsp;&nbsp;
							{$form.excel.html}&nbsp;&nbsp;
							{$form.word.html}&nbsp;&nbsp;
							{$form.jpg.html}&nbsp;&nbsp;
							{$form.gif.html}&nbsp;&nbsp;
							{$form.png.html}
						</td>
					</tr>
					<tr>
						<th>（選択肢にない拡張子は、入力欄に改行区切りで入力して下さい。）</th>
						<td class="textLm">
							{$form.prt_part_fileupload_subfiletype.html}<br>
						</td>
					</tr>
					<tr>
						<th>補足テキスト</th>
						<td class="textLm">{$form.prt_part_comment.html}</td>
					</tr>
					<tr>
						<th>補足テキスト表示位置</th>
						<td>{$form.prt_part_comment_position.html}</td>
					</tr>
					<tr>
						<th>補足テキスト文字色</th>
						<td>＃{$form.prt_part_comment_color.html}&nbsp;<input type="button" id="show" value="カラー選択" onclick="showBox('', 'edit.php', 400, 230,'character')"></td>
					</tr>
				</table>
			</div>
			{/if}
			<!--/fileupload-->

			<!--line/-->
			{if $part_type == "line"}
			<h4>パーツ設定</h4>
			<div class="unitContentsBase">
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<th class="thImp">罫線の太さ</th>
						<td class="w6 lt">{$form.prt_part_line_size.html}&nbsp;</td>
						<td class="ct" style="width: 20px;"><hr size="1px" color="#000000" width="20px">1px</td>
						<td class="ct" style="width: 20px;"><hr size="3px" color="#000000" width="20px">3px</td>
						<td class="ct" style="width: 20px;"><hr size="5px" color="#000000" width="20px">5px</td>
						<td class="ct" style="width: 20px;"><hr size="7px" color="#000000" width="20px">7px</td>
						<td class="ct" style="width: 20px;"><hr size="9px" color="#000000" width="20px">9px</td>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<th>罫線色</th>
						<td colspan="7">＃{$form.prt_part_line_color.html}&nbsp;<input type="button" id="line" value="カラー選択" onclick="showBox('', 'edit.php', 400, 230,'line')"></td>
					</tr>
				</table>
			</div>
			{/if}
			<!--line/-->

			<!--画像認証-->
			{if $part_type == "caps"}
			<h4>パーツ設定</h4>
			<div class="unitContentsBase">
				<table border="0" cellpadding="0" cellspacing="0">
					<tr>
						<th class="thImp">項目名</th>
						<td class="textLm">{$form.prt_part_label.html}</td>
					</tr>
					<tr>
						<th>補足テキスト</th>
						<td class="textLm">{$form.prt_part_comment.html}</td>
					</tr>
					<tr>
						<th>補足テキスト表示位置</th>
						<td>{$form.prt_part_comment_position.html}</td>
					</tr>
					<tr>
						<th>補足テキスト文字色</th>
						<td>＃{$form.prt_part_comment_color.html}&nbsp;<input type="button" id="show" value="カラー選択" onclick="showBox('', 'edit.php', 400, 230,'character')"></td>
					</tr>
				</table>
			</div>
			{/if}
			<!--/画像認証-->

			<!-- button -->
			<div class="unitContentsBtn">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td>{$form.buttons.BTNcancel.html}</td>
					{if $frm_defaultflg != "1"}
					<td>{$form.buttons.BTNsubmit.html}</td>
					{/if}
				</tr>
			</table>
			</div>
			<!-- button -->

		</div>
		</div>
	</div>

	</div>
	</form>
	<!--/contents-->
</div>
</body>
</html>